summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorScott Little <scott.little@windriver.com>2019-03-07 12:50:35 -0500
committerScott Little <scott.little@windriver.com>2019-03-08 09:57:48 -0500
commit67e57499198a700a36a5464e17b7fab30d67685b (patch)
tree3a1668a0e085d4b07205803d500b4f326b5c7881
parenteecfe6ed5ee5c9709edee95541a98d1ca30973b2 (diff)
Upgrade python-keystoneauth1 to 3.13.0
Issue: 'rate_limit' error when executing openstack network commands. Failure was tracked to a failure to satisfy the lower-constraints.txt of openstacksdk, keystoneauth1==3.13.0. We currently only provide python2-keystoneauth1-3.10.0-1.el7.noarch.rpm. Solution: Investigation showed that there is currently no centos rpm providing python2-keystoneauth1-3.13.0 or better. Solution is to build python2-keystoneauth1-3.13.1 from openstack's git. We can revert to a downloaded rpm when one becomes available. Closes-Bug: 1819020 Change-Id: I30332820a8f4ae877b0719148022bade1943eadb Depends-On: Ie2300f352dffc2fc87fbc84a9fc98d2a4e9484d4 Signed-off-by: Scott Little <scott.little@windriver.com>
Notes
Notes (review): Code-Review+2: Don Penney <don.penney@windriver.com> Code-Review+1: Brent Rowsell <brent.rowsell@windriver.com> Code-Review+1: Dean Troyer <dtroyer@gmail.com> Code-Review+2: Saul Wold <sgw@linux.intel.com> Workflow+1: Saul Wold <sgw@linux.intel.com> Verified+2: Zuul Submitted-by: Zuul Submitted-at: Fri, 08 Mar 2019 17:08:55 +0000 Reviewed-on: https://review.openstack.org/642037 Project: openstack/stx-tools Branch: refs/heads/master
-rw-r--r--centos-mirror-tools/rpms_3rdparties.lst1
1 files changed, 0 insertions, 1 deletions
diff --git a/centos-mirror-tools/rpms_3rdparties.lst b/centos-mirror-tools/rpms_3rdparties.lst
index 0949518..477f865 100644
--- a/centos-mirror-tools/rpms_3rdparties.lst
+++ b/centos-mirror-tools/rpms_3rdparties.lst
@@ -15,7 +15,6 @@ python3-wheel-0.31.1-3.fc30.noarch.rpm#https://kojipkgs.fedoraproject.org/packag
15python2-pip-9.0.3-6.fc29.noarch.rpm#https://kojipkgs.fedoraproject.org/packages/python-pip/9.0.3/6.fc29/noarch/python2-pip-9.0.3-6.fc29.noarch.rpm 15python2-pip-9.0.3-6.fc29.noarch.rpm#https://kojipkgs.fedoraproject.org/packages/python-pip/9.0.3/6.fc29/noarch/python2-pip-9.0.3-6.fc29.noarch.rpm
16python3-pip-9.0.3-6.fc29.noarch.rpm#https://kojipkgs.fedoraproject.org/packages/python-pip/9.0.3/6.fc29/noarch/python3-pip-9.0.3-6.fc29.noarch.rpm 16python3-pip-9.0.3-6.fc29.noarch.rpm#https://kojipkgs.fedoraproject.org/packages/python-pip/9.0.3/6.fc29/noarch/python3-pip-9.0.3-6.fc29.noarch.rpm
17python2-cliff-2.13.0-1.el7.noarch.rpm#https://cbs.centos.org/kojifiles/packages/python-cliff/2.13.0/1.el7/noarch/python2-cliff-2.13.0-1.el7.noarch.rpm 17python2-cliff-2.13.0-1.el7.noarch.rpm#https://cbs.centos.org/kojifiles/packages/python-cliff/2.13.0/1.el7/noarch/python2-cliff-2.13.0-1.el7.noarch.rpm
18python2-keystoneauth1-3.10.0-1.el7.noarch.rpm#https://cbs.centos.org/kojifiles/packages/python-keystoneauth1/3.10.0/1.el7/noarch/python2-keystoneauth1-3.10.0-1.el7.noarch.rpm
19python2-openstackdocstheme-1.23.2-1.el7.noarch.rpm#https://cbs.centos.org/kojifiles/packages/python-openstackdocstheme/1.23.2/1.el7/noarch/python2-openstackdocstheme-1.23.2-1.el7.noarch.rpm 18python2-openstackdocstheme-1.23.2-1.el7.noarch.rpm#https://cbs.centos.org/kojifiles/packages/python-openstackdocstheme/1.23.2/1.el7/noarch/python2-openstackdocstheme-1.23.2-1.el7.noarch.rpm
20python2-os-service-types-1.3.0-1.el7.noarch.rpm#https://cbs.centos.org/kojifiles/packages/python-os-service-types/1.3.0/1.el7/noarch/python2-os-service-types-1.3.0-1.el7.noarch.rpm 19python2-os-service-types-1.3.0-1.el7.noarch.rpm#https://cbs.centos.org/kojifiles/packages/python-os-service-types/1.3.0/1.el7/noarch/python2-os-service-types-1.3.0-1.el7.noarch.rpm
21python2-osc-lib-1.11.1-1.el7.noarch.rpm#https://cbs.centos.org/kojifiles/packages/python-osc-lib/1.11.1/1.el7/noarch/python2-osc-lib-1.11.1-1.el7.noarch.rpm 20python2-osc-lib-1.11.1-1.el7.noarch.rpm#https://cbs.centos.org/kojifiles/packages/python-osc-lib/1.11.1/1.el7/noarch/python2-osc-lib-1.11.1-1.el7.noarch.rpm